Bug 1314417 - [webAdmin] Edit VM name validation failure do not direct the General tab
[webAdmin] Edit VM name validation failure do not direct the General tab
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.6.3.3
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.6
: 3.6.6
Assigned To: Marek Libra
meital avital
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 09:43 EST by Ilanit Stein
Modified: 2016-05-30 06:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-30 06:56:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: planning_ack+
michal.skrivanek: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 55141 master MERGED webadmin: Name validation invalidates the General tab 2016-04-06 05:58 EDT
oVirt gerrit 55741 ovirt-engine-3.6 MERGED webadmin: Name validation invalidates the General tab 2016-04-06 11:15 EDT

  None (edit)
Description Ilanit Stein 2016-03-03 09:43:51 EST
Description of problem:
Edit VM dialog: General tab: Set VM name to a name that already exist, 
then move to another tab, for example console, and press OK.
Seems there is no response.
Only if going to General tab, will show the problem - Name field is marked in red frame.

Version-Release number of selected component (if applicable):
rhevm 3.6.3-5

How reproducible:
100%

Expected results:
If there is some validation failure on Edit VM dialog, I'd expect the Edit dialog should move to the problematic tab, or a lease mark that tab with red frame,
to indicate where the problem resides.
Comment 1 Red Hat Bugzilla Rules Engine 2016-03-04 02:08:26 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 2 Mike McCune 2016-03-28 19:07:19 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 meital avital 2016-05-09 07:47:57 EDT
Verified on rhevm-3.6.6.2-0.1.el6

Verify steps:
1. have a running vm
2. open edit dialog -. change the VM name to a name that already exist.
3. Move to another tab -> for example System
4. Press OK

-> The Edit dialog moved to the problematic tab, and also marked the tab with red frame.

Note You need to log in before you can comment on or make changes to this bug.